Subject: bug#78391: 30.0.92; remapped command's docstring still claims to have menu invocation

From: Stefan Monnier <[email-masked]>
Date: Mon, 12 May 2025 13:21:58 -0400

>> It gives a rather redundant text since the same "Without the remapping"
>> is used just above for the key bindings.  As a user I'd prefer it
>> integrated into that previous sentence to end up with a text along the
>> lines of:
>>
>>     Its keys are remapped to ‘ibuffer’.
>>     Without this remapping, it would be bound to C-x C-b
>>     and to the menu entry Buffers → List All Buffers
>
> The problem with this is that there could be additional text
> in-between, in which case the sentence would become a mouthful:

Maybe take the "Without this remapping" out of the two sentences
into a separate prefixed note, as in:

    Its keys are remapped to ‘ibuffer’; if it weren't for this remapping:
    It would be bound to C-x C-b ...
    It could also be invoked from the menu: ...

Or maybe:

    It is bound to C-x C-b ...
    It can also be invoked from the menu: ...
    Note: these bindings do not actually run this command because the
    command's bindings are remapped to ‘ibuffer’.

Since I'm no fan of using actual sentences in such things, tho
I understand this is the tradition in Emacs (it reminds me of the odd
habit in North America of using road signs with text whereas European
road signs prefer symbols and pictograms instead), I'd actually prefer
something more ... dry like:

    Key bindings: C-x C-b ...
    Menu bindings: ...
    Remapped to: ‘ibuffer’

- Stefan